diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 74a45e0..45abc0d 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -37297,16 +37297,16 @@ GroebnerPackage(Dom, Expon, VarSet, Dpol): T == C where
      Pol=[] => Pol
      Pol:=[x for x in Pol | x ^= 0]
      Pol=[] => [0]
-     minGbasis(sort( degree #1 > degree #2, gbasis(Pol,0,0)))
+     minGbasis(sort((x,y) +->  degree x > degree y, gbasis(Pol,0,0)))
  
    groebner( Pol: List(Dpol), xx1: String) ==
      Pol=[] => Pol
      Pol:=[x for x in Pol | x ^= 0]
      Pol=[] => [0]
      xx1 = "redcrit" =>
-       minGbasis(sort( degree #1 > degree #2, gbasis(Pol,1,0)))
+       minGbasis(sort((x,y) +->  degree x > degree y, gbasis(Pol,1,0)))
      xx1 = "info" =>
-       minGbasis(sort( degree #1 > degree #2, gbasis(Pol,2,1)))
+       minGbasis(sort((x,y) +-> degree x > degree y, gbasis(Pol,2,1)))
      messagePrint("   ")
      messagePrint("WARNING: options are - redcrit and/or info - ")
      messagePrint("         you didn't type them correct")
@@ -37320,11 +37320,11 @@ GroebnerPackage(Dom, Expon, VarSet, Dpol): T == C where
      Pol=[] => [0]
      (xx1 = "redcrit" and xx2 = "info") or
       (xx1 = "info" and xx2 = "redcrit")   =>
-       minGbasis(sort( degree #1 > degree #2, gbasis(Pol,1,1)))
+       minGbasis(sort((x,y) +-> degree x > degree y, gbasis(Pol,1,1)))
      xx1 = "redcrit" and xx2 = "redcrit" =>
-       minGbasis(sort( degree #1 > degree #2, gbasis(Pol,1,0)))
+       minGbasis(sort((x,y) +-> degree x > degree y, gbasis(Pol,1,0)))
      xx1 = "info" and xx2 = "info" =>
-       minGbasis(sort( degree #1 > degree #2, gbasis(Pol,2,1)))
+       minGbasis(sort((x,y) +-> degree x > degree y, gbasis(Pol,2,1)))
      messagePrint("   ")
      messagePrint("WARNING:  options are - redcrit and/or info - ")
      messagePrint("          you didn't type them correctly")
diff --git a/changelog b/changelog
index a79a96c..ff36e74 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090603 tpd src/axiom-website/patches.html 20090603.03.tpd.patch
+20090603 tpd books/bookvol10.4 GB +-> conversion
 20090603 tpd src/axiom-website/patches.html 20090603.02.tpd.patch
 20090603 tpd books/bookvol10.4 GBINTERN +-> conversion
 20090603 tpd src/axiom-website/patches.html 20090603.01.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index f55caea..46df7b8 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1429,5 +1429,7 @@ bookvol10.4 GOSPER +-> conversion<br/>
 bookvol10.4 GBF +-> conversion<br/>
 <a href="patches/20090603.01.tpd.patch">20090603.02.tpd.patch</a>
 bookvol10.4 GBINTERN +-> conversion<br/>
+<a href="patches/20090603.01.tpd.patch">20090603.02.tpd.patch</a>
+bookvol10.4 GB +-> conversion<br/>
  </body>
 </html>
